| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::GPSCorrelatorWidget Class Reference
Inheritance diagram for Digikam::GPSCorrelatorWidget:

## Public Slots
void | slotCancelCorrelation ()

## Signals
void | signalAllTrackFilesReady ()
void | signalProgressChanged (const int currentProgress)
void | signalProgressSetup (const int maxProgress, const QString &progressText)
void | signalSetUIEnabled (const bool enabledState)
void | signalSetUIEnabledWithCancel (const bool enabledState, QObject *const cancelObject, const QString &cancelSlot)
void | signalTrackListChanged (const Digikam::GeoCoordinates &coordinate)
void | signalUndoCommand (GPSUndoCommand *undoCommand)

## Public Member Functions
| GPSCorrelatorWidget (QWidget *const parent, GPSItemModel *const imageModel, QItemSelectionModel *const selectionModel, TrackManager *const trackManager)
bool | getShowTracksOnMap () const
QList< GeoCoordinates::List > | getTrackCoordinates () const
void | readSettingsFromGroup (const KConfigGroup *const group)
void | saveSettingsToGroup (KConfigGroup *const group)
void | setUIEnabledExternal (const bool state)

## Protected Member Functions
void | setUIEnabledInternal (const bool state)